
export const PICTURE_PREFIX = 'https://newuitab.oss-cn-hangzhou.aliyuncs.com/ai_upload/downloads/'

export function doSearch(url: string, keyword: string) {

    window.open(url.replace(/%s/g, keyword), "_blank")

}
export function debounce(fn: Function, delay: number) {
    let timer: NodeJS.Timeout | null = null;
    return function (this: any, ...args: any[]) {
        if (timer) clearTimeout(timer);
        timer = setTimeout(() => fn.apply(this, args), delay);
    };
}

