import { getArticle } from '@/app/_lib/data/article';
import AddOrEdit from '../AddOrEdit';

export default async function Page({
    params,
}: { params: Promise<{ id: string }> }) {
    const id = (await params).id
    const data = await getArticle(id)
    return <>
        <AddOrEdit editData={data}></AddOrEdit>

    </>
}